### Method

# FwupdPlugin Device get_created_usec

since: 2.0.0

#### Declaration [src]

    gint64
    fu_device_get_created_usec (
      FuDevice* self
    )

#### Description [src]

Gets when the device was created.

If the usec-precision value has not been set with fu_device_set_created_usec(), the exported seconds-precision fallback value is returned instead.

Available since: 2.0.0

#### Return value

Type: `gint64`

Value in microseconds, or -1 for invalid.